GET /reports/v1/{mpid}
Returns decoded REP-* market system messages for a supplier MPID.
Request
Method and path:
GET /reports/v1/{mpid}?received_start=2026-03-20T00:00:00+00:00&received_end=2026-03-20T23:59:59+00:00
Headers:
X-API-KEY(required): string, API key used for tenant authorization.
Path parameters:
mpid(required): string supplier MPID.
Query parameters:
received_start(optional): ISO 8601 datetime. Filters messages created at or after this timestamp.received_end(optional): ISO 8601 datetime. Filters messages created at or before this timestamp.
Request body:
- None.
Response
Success:
200 OK- Body type: array of
ReportMessageSchema
[
{
"id": "31e29fe5-c4aa-4140-851e-013386ad7d82",
"inbound_outbound": "inbound",
"status": "success",
"created": "2026-03-20T06:30:00+00:00",
"updated": "2026-03-20T06:30:02+00:00",
"interface_id": "IF-099",
"schema_version": "1.0",
"event_code": "REP-002",
"sender_dip_id": "DIP-DC-001",
"sender_role_id": "D",
"decoded_message": {
"report_name": "Rejected Consumption Report",
"items": [
{
"mpan_core": 1234567890123,
"reason": "Missing settlement period"
}
]
}
}
]
No content case:
204 No Contentwhen no report messages match the supplier and filters.
Bad request case:
400whenreceived_startis afterreceived_end.
Field notes: